org.h2.index

## Interface SpatialIndex

All Superinterfaces:
  DbObject, Index, SchemaObject

All Known Implementing Classes:
  MVSpatialIndex, SpatialTreeIndex, ViewIndex

    public interface SpatialIndex
    extends Index

A spatial index. Spatial indexes are used to speed up searching spatial/geometric data.

### Field Summary

### Fields inherited from interface org.h2.engine.DbObject

`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, TRIGGER, USER, USER_DATATYPE`

### Method Summary

Methods
`Cursor` `findByGeometry(TableFilter filter, SearchRow first, SearchRow last, SearchRow intersection)` Find a row or a list of rows and create a cursor to iterate over the result.

### Methods inherited from interface org.h2.index.Index

`add, canFindNext, canGetFirstOrLast, canScan, close, commit, compareRows, createLookupBatch, find, find, findFirstOrLast, findNext, getColumnIndex, getColumns, getCost, getDiskSpaceUsed, getIndexColumns, getIndexType, getPlanSQL, getRow, getRowCount, getRowCountApproximation, getTable, isFindUsingFullTableScan, isFirstColumn, isRowIdIndex, needRebuild, remove, remove, setSortedInsertMode, truncate`

### Methods inherited from interface org.h2.schema.SchemaObject

`getSchema, isHidden`

### Methods inherited from interface org.h2.engine.DbObject

`checkRename, getChildren, getComment, getCreateSQL, getCreateSQLForCopy, getDatabase, getDropSQL, getId, getName, getSQL, getType, isTemporary, removeChildrenAndResources, rename, setComment, setTemporary`

### Method Detail

#### findByGeometry

    Cursor findByGeometry(TableFilter filter,
                        SearchRow first,
                        SearchRow last,
                        SearchRow intersection)

Find a row or a list of rows and create a cursor to iterate over the result.

Parameters:
  `filter` - the table filter (which possibly knows about additional conditions)
  `first` - the lower bound
  `last` - the upper bound
  `intersection` - the geometry which values should intersect with, or null for anything
Returns:
  the cursor to iterate over the results